Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio
Class APStudioPlugin

    java.lang.Object
      |
      +--org.eclipse.core.runtime.Plugin
            |
            +--org.eclipse.ui.plugin.AbstractUIPlugin
                  |
                  +--APStudio.APStudioPlugin

public class APStudioPlugin
extends org.eclipse.ui.plugin.AbstractUIPlugin

The main plugin class to be used in the desktop.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`APStudioPlugin(org.eclipse.core.runtime.IPluginDescriptor descriptor)` The constructor.

Method Summary
`static org.eclipse.gef.palette.PaletteRoot` | `createPalette()`
`static org.eclipse.core.resources.IProject` | `getCurrentProject()` get the current project, if nobody has set a project yet, use the first project in the workspace
`static APStudioPlugin` | `getDefault()` Returns the shared instance.
`java.util.ResourceBundle` | `getResourceBundle()` Returns the plugin's resource bundle,
`static java.lang.String` | `getResourceString(java.lang.String key)` Returns the string from the plugin's resource bundle, or 'key' if not found.
`static org.eclipse.core.resources.IWorkspace` | `getWorkspace()` Returns the workspace instance.
`void` | `setCurrentProject(org.eclipse.core.resources.IProject project)` set the current project - called by the builder when we're about to do a build.

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getDescriptor, getLog, getPluginPreferences, getStateLocation, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### APStudioPlugin

    public APStudioPlugin(org.eclipse.core.runtime.IPluginDescriptor descriptor)

  The constructor.

Method Detail

### getDefault

    public static APStudioPlugin getDefault()

  Returns the shared instance.

### getWorkspace

    public static org.eclipse.core.resources.IWorkspace getWorkspace()

  Returns the workspace instance.

### getResourceString

    public static java.lang.String getResourceString(java.lang.String key)

  Returns the string from the plugin's resource bundle, or 'key' if not found.

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle,

### setCurrentProject

    public void setCurrentProject(org.eclipse.core.resources.IProject project)

  set the current project - called by the builder when we're about to do a build.

### createPalette

    public static org.eclipse.gef.palette.PaletteRoot createPalette()

### getCurrentProject

    public static org.eclipse.core.resources.IProject getCurrentProject()

  get the current project, if nobody has set a project yet, use the first project in the workspace

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD